application: "opencast"
user : "someUser"
components :
 -
  name : "nfs"
  maxInstances : 1
  incomingPorts : 
   -
    name : "NFS_INCOMING_PORT"
    number : 1234
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""
 -
  name : "db"
  maxInstances : 1
  incomingPorts :
   -
    name : "DB_INCOMING_PORT"
    number : 1234
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""
 -
  name : "activemq"
  maxInstances : 1
  incomingPorts : 
   -
    name : "ACTIVEMQ_INCOMING_PORT"
    number : 1234
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""
 - 
  name : "admin"
  maxInstances : 1
  incomingPorts : 
   -
    name : "ADMIN_INCOMING_PORT"
    number : 8080
  outgoingPorts :
   -
    name : "ADMIN_DB_CONNECTION"
    componentName : "db"
    portNumber : "DB_INCOMING_PORT"
    mandatory : true
    update : ""
   -
    name : "ADMIN_NFS_CONNECTION"
    componentName : "nfs"
    portNumber : "NFS_INCOMING_PORT"
    mandatory : true
    update : ""
   -
    name : "ADMIN_AMQ_CONNECTION"
    componentName : "activemq"
    portNumber : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    update : ""
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""
 - 
  name : "presentation"
  maxInstances : 1
  incomingPorts : 
   -
    name : "PRESENTATION_INCOMING_PORT"
    number : 8080
  outgoingPorts : 
   -
    name : "PRESENTATION_DB_CONNECTION"
    componentName : "db"
    portNumber : "DB_INCOMING_PORT"
    mandatory : true
    update : ""
   - 
    name : "PRESENTATION_NFS_CONNECTION"
    componentName : "nfs"
    portNumber : "NFS_INCOMING_PORT"
    mandatory : true
    update : ""
   -
    name : "PRESENTATION_AMQ_CONNECTION"
    componentName : "activemq"
    portNumber : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    update : ""
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""
 - 
  name : "worker"
  incomingPort : 
   -
    name : "WORKER_INCOMING_PORT"
    number : 8080
  outgoingPorts :
   - 
    name : "WORKER_DB_CONNECTION"
    componentName : "db"
    portNumber : "DB_INCOMING_PORT"
    mandatory : true
    update : ""
   -
    name : "WORKER_NFS_CONNECTION"
    componentName : "nfs"
    portNumber : "NFS_INCOMING_PORT"
    mandatory : true
    update : ""
   - 
    name : "WORKER_AMQ_CONNECTION"
    componentName : "activemq"
    portNumber : "ACTIVEMQ_INCOMING_PORT"
    mandatory : true
    update : ""
  lifecycleActions : 
   install : ""
   configure : ""
   start : "true"
   stop : ""